import { line, curve, curveNatural } from 'd3'; 

export const Marks = ({data, xScale, yScale, xValue, yValue, tooltipFormat, circleRadius}) => {
  const lineFn = () => line().x((d) => xScale(xValue(d))).y((d) => yScale(yValue(d))) 
  return (
  <g className="marks">
    <path stroke="black" d={lineFn()(data)}/>
    
    </g>
  )
}